Subject: bug#29024: CC-mode infinite loop on typing < in template spec

From: Richard Copley <[email-masked]>
Date: Fri, 27 Oct 2017 13:01:44 +0100

On 27 October 2017 at 09:33, Eli Zaretskii <[email-masked]> wrote:
>> Date: Fri, 27 Oct 2017 11:28:47 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: Alan Mackenzie <[email-masked]>, [email-masked]
>>
>> > From: Richard Copley <[email-masked]>
>> > Date: Fri, 27 Oct 2017 08:40:45 +0100
>> >
>> > #29024 appears to be the same bug as #28926.
>>
>> Strangely enough, with today's emacs-26 branch, I cannot reproduce
>> either of those two recipes.  I can reproduce them with stock 26.0.90
>> pretest, though.  Maybe this only happens in optimized builds?
>
> It would be good if you could try in the latest branch HEAD, your
> build seems 2 weeks behind it.  Then we'd know if the bug was somehow
> already fixed.
>
> Thanks.

Thanks, perhaps so. Not reproducible in my latest build.
(This is built and run on a different computer, using Windows 7
not Windows 10, but I don't suppose that's likely to make a difference.)

In GNU Emacs 26.0.90 (build 1, x86_64-w64-mingw32)
 of 2017-10-27 built on [redacted]
Repository revision: 1e9f599b1fe1b25a69a80f5a8e0cb81b789ade82
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
(New file)

Configured using:
 'configure --config-cache --with-modules --without-pop 'CFLAGS=-O3
 -ggdb3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS MODULES LCMS2